<picture><source media="(prefers-color-scheme: dark)" srcset="./.github/banner-dark.png"><source media="(prefers-color-scheme: light)" srcset="./.github/banner-light.png"><img alt="AG Charts canvas-based charting trusted by the community, built for enterprise." src="./.github/banner-light.png"></picture>

[![Github Stars](https://img.shields.io/github/stars/ag-grid/ag-charts?style=social)](https://github.com/ag-grid/ag-charts) [![Twitter](https://img.shields.io/twitter/follow/ag_grid?style=social)](https://twitter.com/ag_grid)

| Module               |                                                                                                                                                                                                                                                                                                        Info |
| -------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------: |
| ag-charts-community  | [![npm](https://img.shields.io/npm/dm/ag-charts-community)](https://www.npmjs.com/package/ag-charts-community) <br> [![Quality Gate Status](https://sonarcloud.io/api/project_badges/measure?project=ag-charts-community&metric=alert_status)](https://sonarcloud.io/dashboard?id=ag-charts-community) <br> |
| ag-charts-enterprise |    [![npm](https://img.shields.io/npm/dm/ag-charts-enterprise)](https://www.npmjs.com/package/ag-charts-enterprise) <br> [![Quality Gate Status](https://sonarcloud.io/api/project_badges/measure?project=ag-charts-community&metric=alert_status)](https://sonarcloud.io/dashboard?id=ag-charts-community) |
| ag-charts-angular    |                                                                          [![npm](https://img.shields.io/npm/dm/ag-charts-angular.svg)](https://www.npmjs.com/package/ag-charts-angular) <br> [![npm](https://img.shields.io/npm/dt/ag-charts-angular.svg)](https://www.npmjs.com/package/ag-charts-angular) |

# AG Charts Angular Community

AG Charts is a fully-featured and highly customizable JavaScript charting library. The professional choice for developers building enterprise applications

It delivers [outstanding performance](https://www.ag-grid.com/charts/?utm_source=ag-grid-readme&utm_medium=repository&utm_campaign=github), has no third-party dependencies and [integrates smoothly with all major JavaScript frameworks](https://www.ag-grid.com/charts/angular/quick-start?utm_source=ag-grid-readme&utm_medium=repository&utm_campaign=github).

## Features

Here are some of the features that make AG Charts stand out:

-   Modern, lightweight and performant
-   Thin, easy-to-use wrappers for all popular frameworks: React, Angular, Vue
-   Framework agnostic, easy to use from plain JavaScript or TypeScript
-   Zero dependencies
-   Support for many chart types:
    -   Line
    -   Bar
    -   Area
    -   Scatter
    -   Bubble
    -   Pie
    -   Donut
    -   Histogram
    -   Box Plot \*
    -   Heatmap \*
    -   Nightingale \*
    -   Range
        -   Bar \*
        -   Area \*
    -   Radar
        -   Area \*
        -   Line \*
        -   Bar \*
        -   Column \*
    -   Guage \*
-   Reactive - property changes are automatically batched to take effect on next frame
-   Simple, clean API
-   Interactive documentation

\* The features marked with an asterisk are available in the [Enterprise version](https://www.ag-grid.com/charts/license-pricing/?utm_source=ag-grid-readme&utm_medium=repository&utm_campaign=github) only.

Check out the [developer documentation](https://www.ag-grid.com/charts/angular/?utm_source=ag-grid-readme&utm_medium=repository&utm_campaign=github) for a complete list of features or visit [our official docs](https://www.ag-grid.com/charts/gallery/?utm_source=ag-grid-readme&utm_medium=repository&utm_campaign=github) for tutorials and feature demos.

## Getting started

See [Get Started with Angular](https://www.ag-grid.com/charts/angular/quick-start/?utm_source=ag-charts-readme&utm_medium=repository&utm_campaign=github).

### Installation

See [Installation for Angular](https://www.ag-grid.com/charts/angular/installation/).

## Issue Reporting

If you have found a bug, please report it in this repository's [issues](https://github.com/ag-grid/ag-charts/issues) section. If you're using the Enterprise version, please use the [private ticketing](https://ag-grid.zendesk.com/) system to do that.

## Asking Questions

Look for similar problems on [StackOverflow](https://stackoverflow.com/questions/tagged/ag-charts) using the `ag-charts` tag. If nothing seems related, post a new message there. Do not use GitHub issues to ask questions.

## Contributing

AG Charts is developed by a team of co-located developers in London. If you want to join the team send your application to info@ag-grid.com.

## License

This project is licensed under the MIT license. See the [LICENSE file](./LICENSE.txt) for more info.
